Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07562 Graphics Minor Always Feb 10, 2020, 05:22 Feb 19, 2020, 17:24
Tester BPzeBanshee View Status Public Platform MAME (Official Binary)
Assigned To MetalliC Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver seibuspi.cpp
Version 0.218 Fixed in Version 0.219 Build 64-bit
Summary 07562: rdft: Water graphics glitch regression
Description https://imgur.com/a/xlQQhPl

Possibly happens with other RF games where the water effect is involved. The ship is distorted all along it's left side in a similar way to how the waves underneath the water background are drawn.
In addition, looking at the water from the minute you leave the beach, there are portions of the water that appear to NOT have the wave draw routine applied to it.
Steps To Reproduce Play the game up to stage 3 as the player leaves the beach.
Additional Information Definitely not a PCB bug, and was not always present in MAME. Looking through Github's history for seibuspi.cpp and video/seibu_crtc.cpp the most recent changes to this driver were in September last year; perhaps the bug was introduced then?
Flags
Regression Version
Affected Sets / Systems rdft
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.17396
MetalGod
Senior Tester
Feb 10, 2020, 06:29
No bug in the pcb:
User avatar
No.17399
MetalGod
Senior Tester
Feb 14, 2020, 19:16
This is fixed according to mameinfo
User avatar
No.17401
BPzeBanshee
Tester
Feb 17, 2020, 15:32
Partially fixed, partially broken; the effect is no longer applied to the ship foreground but is still not completely applying to the water, or at least behaving erratically.

Updated image (look for a vertical change at the player ship): https://i.imgur.com/2h7DM6y.png
User avatar
No.17405
MetalliC
Developer
Feb 18, 2020, 15:44
may anyone provide good enough quality video, where will be clearly visible how water effects should work ?
User avatar
No.17406
MetalGod
Senior Tester
Feb 18, 2020, 20:26
edited on: Feb 18, 2020, 20:27
More here:


Very good quality here:
User avatar
No.17407
MetalliC
Developer
Feb 19, 2020, 16:51
thanks, do you know any other Seibu SPI games with line-scroll effects ?
User avatar
No.17408
MetalGod
Senior Tester
Feb 19, 2020, 16:57
I don't have a clue, I guess other developers could help you on that :)
User avatar
No.17409
MetalliC
Developer
Feb 19, 2020, 17:23
edited on: Feb 19, 2020, 17:23
unlikely, developers usually do not play games a lot.
in any way, I'll close this, because this regression issue was resolved already. FWIW line scroll (water) effects was never correctly emulated in MAME.